import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { MapComponent } from './components/map/map.component';
import { AuthGuard } from '@farmmaps/common';

const routes = [
    {
    path: '', canActivateChild: [AuthGuard], children: [
            {
                path: '',
                component: MapComponent
            }
        ]
    },
    {
      path: ':xCenter/:yCenter/:zoom/:rotation/:baseLayer/:queryState', canActivateChild: [AuthGuard], children: [
            {
                path: '',
                component: MapComponent
            }
        ]
  }
];

@NgModule({
    imports: [RouterModule.forChild(routes)],
    exports: [RouterModule]
})
export class MapRoutingModule { }
