import {NgModule} from '@angular/core';
import {RouterModule} from '@angular/router';

import {AuthCallbackComponent} from './components/auth-callback/auth-callback.component';
import {AuthCallbackGuard} from './components/auth-callback/auth-callback.guard';
import {FullScreenGuard} from './services/full-screen-guard.service';
import {SessionClearedComponent} from './components/session-cleared/session-cleared.component';
import {NotFoundComponent} from './components/not-found/not-found.component';


const routes = [
  {
    path: 'cb',
    component: AuthCallbackComponent,
    canActivate: [AuthCallbackGuard],
  },
  {
    path: 'loggedout',
    component: SessionClearedComponent,
    canActivate: [FullScreenGuard],
  },
  {
    path: '**', component: NotFoundComponent,
    data: {
      title: '404 - Not found',
      meta: [{name: 'description', content: '404 - Error'}],
      links: [],
      // links: [
      //  { rel: 'canonical', href: 'http://blogs.example.com/bootstrap/something' },
      //  { rel: 'alternate', hreflang: 'es', href: 'http://es.example.com/bootstrap-demo' }
      //]
    },
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class AppCommonRoutingModule {
}
